<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xml>

<?xdevuiml version="1.0"?>
<?template NONE?>
<?import com.vaadin.ui.CustomComponent?>
<?import com.xdev.ui.XdevButton?>
<?import com.xdev.ui.XdevHorizontalLayout?>
<?import com.xdev.ui.XdevPanel?>
<?import com.xdev.ui.XdevVerticalLayout?>
<?import com.xdev.ui.XdevView?>
<?import com.xdev.ui.entitycomponent.table.XdevTable?>
<XdevView xmlns:x="http://xml.xdev-software.com/xdevuiml" x:name="PreventiviCliente">
    <x:constraints zpos="0" width="100%" height="100%" />
    <XdevVerticalLayout x:name="verticalLayout">
        <x:constraints zpos="0" width="100%" height="100%" />
        <XdevHorizontalLayout x:name="horizontalLayout" margin="">
            <x:constraints weighty="0.1" width="100%" height="100%" />
            <XdevPanel x:name="panel">
                <x:constraints weightx="0.1" width="100%" height="100%" />
                <XdevVerticalLayout x:name="verticalLayout2" margin="">
                    <x:constraints zpos="0" width="100%" height="100%" />
                    <XdevTable caption="Clienti" x:name="tableClienti" styleName="small mystriped">
                        <x:constraints weighty="1.0" width="100%" height="100%" />
                        <x:typeArguments>
                            <typeArgument type="CustomComponent" />
                        </x:typeArguments>
                        <x:event>valueChange.valueChange</x:event>
                    </XdevTable>
                    <XdevHorizontalLayout x:name="horizontalLayout2">
                        <x:constraints weighty="0.0" width="100%" alignment="TOP_LEFT" height="0px" />
                        <XdevButton caption="New" styleName="small" x:name="buttonNuovo">
                            <x:constraints weightx="0.0" width="0px" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                        <XdevButton caption="Sel" styleName="small" x:name="buttonSeleziona">
                            <x:constraints weightx="0.0" width="0px" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                        <XdevButton caption="Mod" styleName="small" x:name="buttonModifica">
                            <x:constraints weightx="0.0" width="0px" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                        <XdevButton caption="Del" styleName="small" x:name="buttonCancella">
                            <x:constraints weightx="0.0" width="0px" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                        <XdevButton caption="Save" styleName="small" x:name="buttonSalva">
                            <x:constraints weightx="0.0" width="0px" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                        <XdevButton caption="Abort" styleName="small" x:name="buttonAnnulla">
                            <x:constraints weightx="0.0" width="0px" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                    </XdevHorizontalLayout>
                </XdevVerticalLayout>
            </XdevPanel>
            <XdevPanel x:name="panelClienteGosth">
                <x:constraints weightx="0.2" width="100%" height="100%" />
            </XdevPanel>
        </XdevHorizontalLayout>
    </XdevVerticalLayout>
</XdevView>

